NX Open C++ Reference Guide
Public Member Functions | List of all members
NXOpen::Features::VehicleDesign::HeadImpactRPillarDetailBuilder Class Reference

Represents a NXOpen::Features::VehicleDesign::HeadImpactRPillarDetailBuilder . More...

Inheritance diagram for NXOpen::Features::VehicleDesign::HeadImpactRPillarDetailBuilder:
NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Member Functions

bool CreateGeometry ()
 Returns the create construction geometry flag. More...
 
NXOpen::PointPT7Left ()
 Returns the left PT7 additional geometry. More...
 
bool PT7LeftFlag ()
 Returns the left PT7 additional geometry flag. More...
 
NXOpen::PointPT7Right ()
 Returns the right PT7 additional geometry. More...
 
bool PT7RightFlag ()
 Returns the right PT7 additional geometry flag. More...
 
NXOpen::ExpressionReqHorizontalLeftMax ()
 Returns the left horizontal maximum required approach angle. More...
 
NXOpen::ExpressionReqHorizontalLeftMin ()
 Returns the left horizontal minimum required approach angle. More...
 
NXOpen::ExpressionReqHorizontalRightMax ()
 Returns the right horizontal maximum required approach angle. More...
 
NXOpen::ExpressionReqHorizontalRightMin ()
 Returns the right horizontal minimum required approach angle. More...
 
NXOpen::ExpressionReqVerticalMax ()
 Returns the vertical maximum required approach angle. More...
 
NXOpen::ExpressionReqVerticalMin ()
 Returns the vertical minimum required approach angle. More...
 
NXOpen::PointRP1Left ()
 Returns the left RP1 alternative point. More...
 
bool RP1LeftFlag ()
 Returns the left RP1 alternative point flag. More...
 
NXOpen::ExpressionRP1Ratio ()
 Returns the expression containing the value for the ratio used to position RP1. More...
 
NXOpen::PointRP1Right ()
 Returns the right RP1 alternative point. More...
 
bool RP1RightFlag ()
 Returns the right RP1 alternative point flag. More...
 
NXOpen::PointRP2Left ()
 Returns the left RP2 alternative point. More...
 
bool RP2LeftFlag ()
 Returns the left RP2 alternative point flag. More...
 
NXOpen::ExpressionRP2Offset ()
 Returns the expression containing the value for the offset used to position RP2. More...
 
NXOpen::PointRP2Right ()
 Returns the right RP2 alternative point. More...
 
bool RP2RightFlag ()
 Returns the right RP2 alternative point flag. More...
 
void SetCreateGeometry (bool createGeometry)
 Sets the create construction geometry flag. More...
 
void SetPT7Left (NXOpen::Point *pt7Left)
 Sets the left PT7 additional geometry. More...
 
void SetPT7LeftFlag (bool pt7LeftFlag)
 Sets the left PT7 additional geometry flag. More...
 
void SetPT7Right (NXOpen::Point *pt7Right)
 Sets the right PT7 additional geometry. More...
 
void SetPT7RightFlag (bool pt7RightFlag)
 Sets the right PT7 additional geometry flag. More...
 
void SetRP1Left (NXOpen::Point *rp1Left)
 Sets the left RP1 alternative point. More...
 
void SetRP1LeftFlag (bool rp1LeftFlag)
 Sets the left RP1 alternative point flag. More...
 
void SetRP1Right (NXOpen::Point *rp1Right)
 Sets the right RP1 alternative point. More...
 
void SetRP1RightFlag (bool rp1RightFlag)
 Sets the right RP1 alternative point flag. More...
 
void SetRP2Left (NXOpen::Point *rp2Left)
 Sets the left RP2 alternative point. More...
 
void SetRP2LeftFlag (bool rp2LeftFlag)
 Sets the left RP2 alternative point flag. More...
 
void SetRP2Right (NXOpen::Point *rp2Right)
 Sets the right RP2 alternative point. More...
 
void SetRP2RightFlag (bool rp2RightFlag)
 Sets the right RP2 alternative point flag. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::Features::VehicleDesign::HeadImpactRPillarDetailBuilder .


This is an abstract class and cannot be instantiated.

Created in NX9.0.0.

Member Function Documentation

bool NXOpen::Features::VehicleDesign::HeadImpactRPillarDetailBuilder::CreateGeometry ( )

Returns the create construction geometry flag.


Created in NX9.0.0.

License requirements : None

NXOpen::Point* NXOpen::Features::VehicleDesign::HeadImpactRPillarDetailBuilder::PT7Left ( )

Returns the left PT7 additional geometry.


Created in NX9.0.0.

License requirements : None

bool NXOpen::Features::VehicleDesign::HeadImpactRPillarDetailBuilder::PT7LeftFlag ( )

Returns the left PT7 additional geometry flag.


Created in NX9.0.0.

License requirements : None

NXOpen::Point* NXOpen::Features::VehicleDesign::HeadImpactRPillarDetailBuilder::PT7Right ( )

Returns the right PT7 additional geometry.


Created in NX9.0.0.

License requirements : None

bool NXOpen::Features::VehicleDesign::HeadImpactRPillarDetailBuilder::PT7RightFlag ( )

Returns the right PT7 additional geometry flag.


Created in NX9.0.0.

License requirements : None

NXOpen::Expression* NXOpen::Features::VehicleDesign::HeadImpactRPillarDetailBuilder::ReqHorizontalLeftMax ( )

Returns the left horizontal maximum required approach angle.


Created in NX9.0.0.

License requirements : None

NXOpen::Expression* NXOpen::Features::VehicleDesign::HeadImpactRPillarDetailBuilder::ReqHorizontalLeftMin ( )

Returns the left horizontal minimum required approach angle.


Created in NX9.0.0.

License requirements : None

NXOpen::Expression* NXOpen::Features::VehicleDesign::HeadImpactRPillarDetailBuilder::ReqHorizontalRightMax ( )

Returns the right horizontal maximum required approach angle.


Created in NX9.0.0.

License requirements : None

NXOpen::Expression* NXOpen::Features::VehicleDesign::HeadImpactRPillarDetailBuilder::ReqHorizontalRightMin ( )

Returns the right horizontal minimum required approach angle.


Created in NX9.0.0.

License requirements : None

NXOpen::Expression* NXOpen::Features::VehicleDesign::HeadImpactRPillarDetailBuilder::ReqVerticalMax ( )

Returns the vertical maximum required approach angle.


Created in NX9.0.0.

License requirements : None

NXOpen::Expression* NXOpen::Features::VehicleDesign::HeadImpactRPillarDetailBuilder::ReqVerticalMin ( )

Returns the vertical minimum required approach angle.


Created in NX9.0.0.

License requirements : None

NXOpen::Point* NXOpen::Features::VehicleDesign::HeadImpactRPillarDetailBuilder::RP1Left ( )

Returns the left RP1 alternative point.


Created in NX9.0.0.

License requirements : None

bool NXOpen::Features::VehicleDesign::HeadImpactRPillarDetailBuilder::RP1LeftFlag ( )

Returns the left RP1 alternative point flag.


Created in NX9.0.0.

License requirements : None

NXOpen::Expression* NXOpen::Features::VehicleDesign::HeadImpactRPillarDetailBuilder::RP1Ratio ( )

Returns the expression containing the value for the ratio used to position RP1.


Created in NX9.0.0.

License requirements : None

NXOpen::Point* NXOpen::Features::VehicleDesign::HeadImpactRPillarDetailBuilder::RP1Right ( )

Returns the right RP1 alternative point.


Created in NX9.0.0.

License requirements : None

bool NXOpen::Features::VehicleDesign::HeadImpactRPillarDetailBuilder::RP1RightFlag ( )

Returns the right RP1 alternative point flag.


Created in NX9.0.0.

License requirements : None

NXOpen::Point* NXOpen::Features::VehicleDesign::HeadImpactRPillarDetailBuilder::RP2Left ( )

Returns the left RP2 alternative point.


Created in NX9.0.0.

License requirements : None

bool NXOpen::Features::VehicleDesign::HeadImpactRPillarDetailBuilder::RP2LeftFlag ( )

Returns the left RP2 alternative point flag.


Created in NX9.0.0.

License requirements : None

NXOpen::Expression* NXOpen::Features::VehicleDesign::HeadImpactRPillarDetailBuilder::RP2Offset ( )

Returns the expression containing the value for the offset used to position RP2.


Created in NX9.0.0.

License requirements : None

NXOpen::Point* NXOpen::Features::VehicleDesign::HeadImpactRPillarDetailBuilder::RP2Right ( )

Returns the right RP2 alternative point.


Created in NX9.0.0.

License requirements : None

bool NXOpen::Features::VehicleDesign::HeadImpactRPillarDetailBuilder::RP2RightFlag ( )

Returns the right RP2 alternative point flag.


Created in NX9.0.0.

License requirements : None

void NXOpen::Features::VehicleDesign::HeadImpactRPillarDetailBuilder::SetCreateGeometry ( bool  createGeometry)

Sets the create construction geometry flag.


Created in NX9.0.0.

License requirements : nx_general_packaging ("NX General Packaging")

Parameters
createGeometrycreategeometry
void NXOpen::Features::VehicleDesign::HeadImpactRPillarDetailBuilder::SetPT7Left ( NXOpen::Point pt7Left)

Sets the left PT7 additional geometry.


Created in NX9.0.0.

License requirements : nx_general_packaging ("NX General Packaging")

Parameters
pt7Leftpt7left
void NXOpen::Features::VehicleDesign::HeadImpactRPillarDetailBuilder::SetPT7LeftFlag ( bool  pt7LeftFlag)

Sets the left PT7 additional geometry flag.


Created in NX9.0.0.

License requirements : nx_general_packaging ("NX General Packaging")

Parameters
pt7LeftFlagpt7leftflag
void NXOpen::Features::VehicleDesign::HeadImpactRPillarDetailBuilder::SetPT7Right ( NXOpen::Point pt7Right)

Sets the right PT7 additional geometry.


Created in NX9.0.0.

License requirements : nx_general_packaging ("NX General Packaging")

Parameters
pt7Rightpt7right
void NXOpen::Features::VehicleDesign::HeadImpactRPillarDetailBuilder::SetPT7RightFlag ( bool  pt7RightFlag)

Sets the right PT7 additional geometry flag.


Created in NX9.0.0.

License requirements : nx_general_packaging ("NX General Packaging")

Parameters
pt7RightFlagpt7rightflag
void NXOpen::Features::VehicleDesign::HeadImpactRPillarDetailBuilder::SetRP1Left ( NXOpen::Point rp1Left)

Sets the left RP1 alternative point.


Created in NX9.0.0.

License requirements : nx_general_packaging ("NX General Packaging")

Parameters
rp1Leftrp1left
void NXOpen::Features::VehicleDesign::HeadImpactRPillarDetailBuilder::SetRP1LeftFlag ( bool  rp1LeftFlag)

Sets the left RP1 alternative point flag.


Created in NX9.0.0.

License requirements : nx_general_packaging ("NX General Packaging")

Parameters
rp1LeftFlagrp1leftflag
void NXOpen::Features::VehicleDesign::HeadImpactRPillarDetailBuilder::SetRP1Right ( NXOpen::Point rp1Right)

Sets the right RP1 alternative point.


Created in NX9.0.0.

License requirements : nx_general_packaging ("NX General Packaging")

Parameters
rp1Rightrp1right
void NXOpen::Features::VehicleDesign::HeadImpactRPillarDetailBuilder::SetRP1RightFlag ( bool  rp1RightFlag)

Sets the right RP1 alternative point flag.


Created in NX9.0.0.

License requirements : nx_general_packaging ("NX General Packaging")

Parameters
rp1RightFlagrp1rightflag
void NXOpen::Features::VehicleDesign::HeadImpactRPillarDetailBuilder::SetRP2Left ( NXOpen::Point rp2Left)

Sets the left RP2 alternative point.


Created in NX9.0.0.

License requirements : nx_general_packaging ("NX General Packaging")

Parameters
rp2Leftrp2left
void NXOpen::Features::VehicleDesign::HeadImpactRPillarDetailBuilder::SetRP2LeftFlag ( bool  rp2LeftFlag)

Sets the left RP2 alternative point flag.


Created in NX9.0.0.

License requirements : nx_general_packaging ("NX General Packaging")

Parameters
rp2LeftFlagrp2leftflag
void NXOpen::Features::VehicleDesign::HeadImpactRPillarDetailBuilder::SetRP2Right ( NXOpen::Point rp2Right)

Sets the right RP2 alternative point.


Created in NX9.0.0.

License requirements : nx_general_packaging ("NX General Packaging")

Parameters
rp2Rightrp2right
void NXOpen::Features::VehicleDesign::HeadImpactRPillarDetailBuilder::SetRP2RightFlag ( bool  rp2RightFlag)

Sets the right RP2 alternative point flag.


Created in NX9.0.0.

License requirements : nx_general_packaging ("NX General Packaging")

Parameters
rp2RightFlagrp2rightflag
virtual bool NXOpen::Features::VehicleDesign::HeadImpactRPillarDetailBuilder::Validate ( )
virtual

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven't set it. This method throws a not-yet-implemented NXException for some components.

Returns
Was self validation successful
Created in NX3.0.1.

License requirements : None

Implements NXOpen::GeometricUtilities::IComponentBuilder.


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.